<template>
  <div class="risk">
    <span
      class="color"
      :style="`background-color: ${item.color}`"
    />
    <div class="name">
      <b>
        {{ item.title }}
        <ObTooltip
          content="Тултип для риска"
        >
          <i class="icon blue question" style="font-size: 12px" />
        </ObTooltip>
      </b>
      {{ item.group }}
    </div>
  </div>
</template>

<script>
  import ObTooltip from "common-components/src/obComponents/obTooltip"

  const groupsMap = {
    green: {
      color: "#10CF96",
      title: "Рисков нет",
      group: "Зелёная группа"
    },
    blue: {
      color: "#0AC1F4",
      title: "Низкий риск",
      group: "Синяя группа"
    },
    yellow: {
      color: "#FFEB48",
      title: "Умеренный риск",
      group: "Жёлтая группа"
    },
    orange: {
      color: "#FFB137",
      title: "Повышенный риск",
      group: "Оранжевая группа"
    },
    red: {
      color: "#E62D3B",
      title: "Крайне высокий риск",
      group: "Красная группа"
    },
    black: {
      color: "#191E32",
      title: "Неприемлемый риск",
      group: "Чёрная группа"
    }
  }

  export default {
    name: "Risk",
    components: {
      ObTooltip
    },
    props: {
      color: {
        type: String,
        required: true
      }
    },

    data() {
      return {
        item: null
      }
    },

    created() {
      this.item = groupsMap[this.color.toLowerCase()]
    }
  }
</script>

<style lang="scss" scoped>
.risk {
    display: flex;
    align-items: center;
    white-space: nowrap;
  }

  .color {
    width: 18px;
    height: 18px;
    margin-right: 9px;
    border-radius: 50%;
  }

  .name {
    display: flex;
    flex-direction: column;
    font-size: 12px;
    color: $color-grey-span;
    text-transform: uppercase;

    b {
      margin-bottom: 5px;
      display: flex;
      align-items: center;
      text-transform: none;
      font-size: 14px;
      color: $color-text-base;
    }

    .icon {
      margin-left: 5px;
      display: flex;
      align-items: center;
    }

    .icon.blue {
      color: $color-blue-navy-blue;
    }
  }
</style>
